Subject: Re: [PATCH] Prevent using bold text in entire gui for some fonts sometimes

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 20 Sep 2007 13:01:24 -0400

Simon Sasburg <[email-masked]> wrote:
> When I first saw git-gui on windows, I noticed it wasn't using ugly
> bold fonts for it's entire gui like it was in linux. I came up with
> the following patch to fix this there.
> 
> And it worked, trange thing was, even git-gui without this patch
> applied was using normal fonts now. The patch didn't seem to make any
> difference for me anymore. So I chalked this up to weirdness of my
> system.
> 
> Yesterday though a saw that a friends git-gui was showing the same
> problem with the entire gui being in bold text. And this patch fixed
> it.
> 
> So its a bit weird that this patch seemed to have 'permanent' effects
> for me, even after it was reverted.... but on the other hand it's
> really trivial.

Yea, I can't explain that either.  But this patch is really trivial
so I'm applying it anyway.  Doesn't break anyone who was already
using a normal weight on their font and it should prevent others
from picking up bold everywhere.  Thanks.

-- 
Shawn.